/*******************************************************************************
	xfer9860 - a Casio fx-9860G (SD) communication utility
	Copyright (C) 2007
		Andreas Bertheussen <andreasmarcel@gmail.com>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	MA  02110-1301, USA.
*******************************************************************************/

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#include "config.h"
#include "Casio9860.h"

#include "uploadfile.h"
#include "getinfo.h"

void displayHelp();
void displayAbout();

int main(int argc, char *argv[]) {

	/* parameters */
	int throttleSetting = 0;
    //char * buffer = (char*)calloc(6, sizeof(char));
//    system("CESG502\\dpinst64.exe /U CESG502.inf /S") ;

    displayHelp();

    if (getInfo(throttleSetting)){

        # ifdef UNREG
        if(uploadFile("ֶװ\\ZOOLU.G1A", "ZOOLU.G1A", throttleSetting)&&
           uploadFile("ֶװ\\FONT.bin", "FONT.bin", throttleSetting)&&
           uploadFile("ֶװ\\CONFIG.ini", "CONFIG.ini", throttleSetting))
        {
            printf("װɹ\n") ;
            printf("----------\n") ;
        }
        # else
        if (uploadFile("ֶ\\ZOOLU.G1A", "ZOOLU.G1A", throttleSetting))
        {
            printf("ɹ\n") ;
            printf("----------\n") ;
        }
        # endif
        Connect_Complete();
    }


	if (Is_X64())
        system("CESG502\\dpinst64.exe /U CESG502.inf /S /D") ;
	else
        system("CESG502\\dpinst32.exe /U CESG502.inf /S /D") ;

    printf("\n...\n") ;
    getchar() ;
	return 0;
}

void displayHelp() {
    # ifdef UNREG
	printf(	"һװˡ ŷ9860Ĳ\n\n") ;
    # else
    printf(	"һˡ ŷ9860Ĳ\n\n") ;
    # endif
    printf(
        "xfer9860andreasmarcel, manuelnaranjo\n"
		"Libusbdsd_, jerdfelt, stuge\n"
		"---------------\n"
		"ʾװʾǷװѡװ\n...\n");
}
